Site
27 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getPlacedSitePositions | GET | Obtain the geographic location information of Placed Sites |
| deleteScenario | DELETE | Delete site scenario |
| getScenarioList | GET | Get scenario list |
| addScenario | POST | Create new scenario |
| getScenarioListDifference | GET | Get scenario list difference |
| getSiteList | GET | Get site list |
| createNewSite | POST | Create new site |
| deleteSite | DELETE | Delete an existing site |
| getSiteEntity | GET | Get site info |
| updateSiteEntity | PUT | Modify an existing site |
| getSiteDeviceAccountSetting | GET | Get site device account setting |
| updateSiteDeviceAccountSetting | PUT | Update site device account setting |
| getSiteInfoForAbnormal | GET | Get the details of a site |
| getNtpServerStatus | GET | Get ntp server status |
| modifySiteWirelessFeaturePingPangEnable | PATCH | enable the site setting of ping pang suppression |
| getSiteUrlByOpenApi | GET | Get site url |
| batchSiteCopy | POST | Batch create sites by copying from existing site |
| batchSiteImport | POST | Batch create sites by importing site backup files from file server |
| getSiteSummaryStatisticByOpenApi | POST | Get sites statistic |
| deleteTag_1 | DELETE | Delete an existing site tag |
| getTags_1 | GET | Get site tag list |
| modifyTag_1 | PATCH | Modify an existing site tag |
| addTag_1 | POST | Create new site tag |
| createNewSiteByTemplate | POST | Create new site from site template |
| getAvailableSiteToBind | GET | Get available site to bind template |
| getNtpServerStatusTemplate | GET | Get template ntp server status |
| getUnplacedSitePositions | GET | Obtain the geographic location information of unplaced Sites |
getPlacedSitePositions
GET /openapi/v1/{omadacId}/placed-site-position
Obtain the geographic location information of Placed Sites
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getPlacedSitePositions"
}Details, permissions and error codes
Obtain the geographic location information of Placed Sites in batches.
The interface requires one of the permissions:
Global Dashboard Manager View Only
deleteScenario
DELETE /openapi/v1/{omadacId}/scenarios
Delete site scenario
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Scenario
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Scenario name should contain 1 to 128 visible ASCII characters. |
// omada_call_operation
{
"operationId": "deleteScenario",
"body": "{...}"
}Details, permissions and error codes
Delete site scenario
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getScenarioList
GET /openapi/v1/{omadacId}/scenarios
Get scenario list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getScenarioList"
}addScenario
POST /openapi/v1/{omadacId}/scenarios
Create new scenario
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Scenario
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Scenario name should contain 1 to 128 visible ASCII characters. |
// omada_call_operation
{
"operationId": "addScenario",
"body": "{...}"
}Details, permissions and error codes
Create new scenario
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getScenarioListDifference
GET /openapi/v1/{omadacId}/scenarios/difference
Get scenario list difference
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getScenarioListDifference"
}Details, permissions and error codes
Get a list of default scenarios for differentiation
getSiteList
GET /openapi/v1/{omadacId}/sites
Get site list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name |
filters.tag | query | string | no | Filter query parameters, support field tag ID |
filters.type | query | string | no | Filter query parameters, support field site type. 0: basic site; 1: pro site. |
// omada_call_operation
{
"operationId": "getSiteList"
}createNewSite
POST /openapi/v1/{omadacId}/sites
Create new site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema CreateSiteEntity
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the site should contain 1 to 64 characters. |
type | integer | no | Type of the site should be 0 or 1, and 0 means basic site, 1 means pro site. |
region | string | yes | Country/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America. |
timeZone | string | yes | For the values of the timezone of the site, refer to section 5.1 of the Open API Access Guide. |
scenario | string | yes | For the values of the scenario of the site, refer to result of the interface for Get scenario list. |
tagIds | array<string> | no | Site tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface |
longitude | number (double) | no | Longitude of the site should be within the range of -180 - 180. |
latitude | number (double) | no | Latitude of the site should be within the range of -90 - 90. |
address | string | no | Address of the site |
deviceAccountSetting | DeviceAccountSettingOpenApiVO | yes | (DeviceAccountSettingOpenApiVO not expanded; call omada_get_schema "DeviceAccountSettingOpenApiVO") |
supportES | boolean | no | Whether the site supports adopting Agile Series Switches |
supportL2 | boolean | no | Whether the site supports adopting Non-Agile Series Switches |
// omada_call_operation
{
"operationId": "createNewSite",
"body": "{...}"
}Details, permissions and error codes
Create new site
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.
deleteSite
DELETE /openapi/v1/{omadacId}/sites/{siteId}
Delete an existing site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "deleteSite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Delete an existing site
The interface requires one of the permissions:
Global Dashboard Manager Modify
getSiteEntity
GET /openapi/v1/{omadacId}/sites/{siteId}
Get site info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteEntity",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site info
The interface requires one of the permissions:
Global Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteEntity
PUT /openapi/v1/{omadacId}/sites/{siteId}
Modify an existing site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UpdateSiteEntity
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Site name should contain 1 to 64 characters. |
region | string | yes | Country/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America. |
timeZone | string | yes | For the values of the timezone of the site, refer to section 5.1 of the Open API Access Guide. |
tagIds | array<string> | no | Site tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface |
ntpEnable | boolean | no | NTP server status of the site |
ntpServers | array<ntp server> | no | NTP server address; Up to 5 entries are allowed for the NTP server address list. |
dst | ModifyDstDTO | no | (ModifyDstDTO not expanded; call omada_get_schema "ModifyDstDTO") |
scenario | string | yes | For the values of the scenario of the site, refer to result of the interface for Get scenario list. |
longitude | number (double) | no | Longitude of the site should be within the range of -180 - 180. |
latitude | number (double) | no | Latitude of the site should be within the range of -90 - 90. |
address | string | no | Address of the site |
supportES | boolean | no | Whether the site supports adopting Agile Series Switches |
supportL2 | boolean | no | Whether the site supports adopting Non-Agile Series Switches |
// omada_call_operation
{
"operationId": "updateSiteEntity",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing site
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.
-33809 - This scenario does not exist.
getSiteDeviceAccountSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/device-account
Get site device account setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteDeviceAccountSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site device account setting
The interface requires one of the permissions:
Global Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSiteDeviceAccountSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/device-account
Update site device account setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeviceAccountSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
username | string | yes | Device account username should contain 1 to 64 ASCII characters. |
password | string | yes | Device account parameter [password] should contain 10 to 64 ASCII characters. And passwords must be a combination of uppercase letters, lowercase letters, numbers, and special symbols. Symbols such as ! # $ % & * @ ^ are supported. The password should not contain consecutive identical characters. Username and Password should not be the same. |
// omada_call_operation
{
"operationId": "updateSiteDeviceAccountSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Update site device account settin
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getSiteInfoForAbnormal
GET /openapi/v1/{omadacId}/sites/{siteId}/global-dashboard/site-map/abnormal
Get the details of a site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteInfoForAbnormal",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the details of a site in the Dashboard - site map
The interface requires one of the permissions:
Global Dashboard Manager View Only
getNtpServerStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/setting/ntp
Get ntp server status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getNtpServerStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get ntp server status.
The interface requires one of the permissions:
Incidents Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
modifySiteWirelessFeaturePingPangEnable
PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/roaming/pingpang/enable
enable the site setting of ping pang suppression
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | (site ID or site name) |
// omada_call_operation
{
"operationId": "modifySiteWirelessFeaturePingPangEnable",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
enable the site setting of ping pang suppression
The interface requires one of the permissions:
Site Settings Manager Modify
Global Dashboard Manager Modify
Network Config Page Modify
getSiteUrlByOpenApi
GET /openapi/v1/{omadacId}/sites/{siteId}/url
Get site url
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteUrlByOpenApi",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site url
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-53124 - Device Management Host not enable.
batchSiteCopy
POST /openapi/v1/{omadacId}/sites/copy
Batch create sites by copying from existing site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema BatchSiteCopyVO
| Field | Type | Required | Description |
|---|---|---|---|
sourceSiteId | string | yes | Source site ID to be copied. |
targetSiteNum | integer | yes | Site num to be created should between 1 and 300. |
siteNamePrefix | string | yes | Site name prefix, new sites name will use this prefix. Parameter [siteNamePrefix] should be 1 - 128 ASCII characters. |
// omada_call_operation
{
"operationId": "batchSiteCopy",
"body": "{...}"
}Details, permissions and error codes
Batch create sites by copying from existing site
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30304 - Restoring...
-30305 - Failed to restore because of unexpected errors. Please try again later.
batchSiteImport
POST /openapi/v1/{omadacId}/sites/multi-import
Batch create sites by importing site backup files from file server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema BatchSiteImportVO
| Field | Type | Required | Description |
|---|---|---|---|
fileServerConfig | FileServerOpenApiVO | yes | (FileServerOpenApiVO not expanded; call omada_get_schema "FileServerOpenApiVO") |
siteImportConfigList | array<SiteImportOpenApiVO> | yes | Site import config list. max size 300. |
// omada_call_operation
{
"operationId": "batchSiteImport",
"body": "{...}"
}Details, permissions and error codes
Batch create sites by importing site backup files from file server.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-30304 - Restoring...
-30305 - Failed to restore because of unexpected errors. Please try again later.
getSiteSummaryStatisticByOpenApi
POST /openapi/v1/{omadacId}/sites/statistic
Get sites statistic
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SiteStatisticList
| Field | Type | Required | Description |
|---|---|---|---|
omadaAndSiteIds | array<SiteStatistic> | no | Omadac ID and site ID list |
// omada_call_operation
{
"operationId": "getSiteSummaryStatisticByOpenApi",
"body": "{...}"
}deleteTag_1
DELETE /openapi/v1/{omadacId}/sites/tags
Delete an existing site tag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema DeleteSiteTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
tagId | string | yes | Tag ID |
// omada_call_operation
{
"operationId": "deleteTag_1",
"body": "{...}"
}Details, permissions and error codes
Delete an existing site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify
getTags_1
GET /openapi/v1/{omadacId}/sites/tags
Get site tag list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getTags_1"
}Details, permissions and error codes
Get site tag list.
The interface requires one of the permissions:
Global Dashboard Manager View Only
modifyTag_1
PATCH /openapi/v1/{omadacId}/sites/tags
Modify an existing site tag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema Site Tag
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Tag name should contain 1 to 128 ASCII characters. |
tagId | string | no | Tag ID |
// omada_call_operation
{
"operationId": "modifyTag_1",
"body": "{...}"
}Details, permissions and error codes
Modify an existing site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify
addTag_1
POST /openapi/v1/{omadacId}/sites/tags
Create new site tag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema CreateSiteTagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Tag name should contain 1 to 128 ASCII characters |
// omada_call_operation
{
"operationId": "addTag_1",
"body": "{...}"
}Details, permissions and error codes
Create new site tag.
The interface requires one of the permissions:
Global Dashboard Manager Modify
createNewSiteByTemplate
POST /openapi/v1/{omadacId}/sites/template
Create new site from site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema CreateSiteByTemplate
| Field | Type | Required | Description |
|---|---|---|---|
siteTemplateId | string | yes | Site template ID. |
name | string | yes | Name of the site should contain 1 to 64 characters. |
region | string | yes | Country/Region of the site; For the values of region, refer to the abbreviation of the ISO country code; For example, you need to input "United States" for the United States of America. |
scenario | string | yes | For the values of the scenario of the site, refer to result of the interface for Get scenario list. |
tagIds | array<string> | no | Site tag ID, Site tag ID can be created using "Create new site tag" interface, and site tag ID can be obtained from "Get site tag list" interface |
longitude | number (double) | no | Longitude of the site should be within the range of -180 - 180. |
latitude | number (double) | no | Latitude of the site should be within the range of -90 - 90. |
address | string | no | Address of the site |
deviceAccountSetting | DeviceAccountSettingOpenApiVO | yes | (DeviceAccountSettingOpenApiVO not expanded; call omada_get_schema "DeviceAccountSettingOpenApiVO") |
supportES | boolean | no | Whether the site supports adopting Agile Series switches |
supportL2 | boolean | no | Whether the site supports adopting Non-Agile Series switches |
// omada_call_operation
{
"operationId": "createNewSiteByTemplate",
"body": "{...}"
}Details, permissions and error codes
Create new site from site template
The interface requires one of the permissions:
Global Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33101 - This name already exists. Please enter another name for this site.
-33104 - The number of sites has reached the limit.
getAvailableSiteToBind
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/available-bind
Get available site to bind template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getAvailableSiteToBind",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get available site to bind template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
getNtpServerStatusTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/ntp
Get template ntp server status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getNtpServerStatusTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get template ntp server status.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getUnplacedSitePositions
GET /openapi/v1/{omadacId}/unplaced-site-position
Obtain the geographic location information of unplaced Sites
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getUnplacedSitePositions"
}Details, permissions and error codes
Obtain the geographic location information of unplaced Sites.
The interface requires one of the permissions:
Global Dashboard Manager View Only